> ## Documentation Index
> Fetch the complete documentation index at: https://agent-docs.nineteen58.co.za/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Single Prompt



## OpenAPI

````yaml GET /public-api/prompts/{id}
openapi: 3.0.0
info:
  title: Agents Public API
  version: '1.0'
  description: REST API for managing contacts, campaigns, and conversations
  termsOfService: https://agents.nineteen58.co.za/terms
  contact:
    name: API Support
    url: https://agents.nineteen58.co.za/support
    email: support@nineteen58.co.za
servers:
  - url: https://agents.nineteen58.co.za
    description: Production server
security:
  - apiKeyAuth: []
tags: []
paths:
  /public-api/prompts/{id}:
    get:
      tags:
        - Prompts
      summary: Get a prompt by ID
      operationId: getpublicapipromptsid
      parameters:
        - in: path
          name: id
          required: true
          schema:
            type: string
            format: uuid
          description: Prompt ID
      responses:
        '200':
          description: Prompt found
          content:
            application/json:
              schema:
                type: object
                properties:
                  prompt: 39c3e8cf-fc21-4dce-8da5-9b5ea538b7eb
        '404':
          description: Prompt not found
components:
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key

````